Changeset 26645


Ignore:
Timestamp:
2011-04-13T15:37:40+02:00 (5 years ago)
Author:
lars
Message:

kernel: revert r24160 (remove the bogus ext2/ext3 dependency on linux 2.6.30/31)

For kernel versions newer then 2.6.31 the ext4 module can be used to mount
ext2/3 filesystems.
Building ext2/3 as modules on the other hand breaks using ext4 for mounting ext2
or ext3, which breaks booting from ext2/3 on machines where the ext4 module is
built into the kernel.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/package/kernel/modules/fs.mk

    r26636 r26645  
    7777  TITLE:=EXT2 filesystem support 
    7878  KCONFIG:=CONFIG_EXT2_FS 
    79   DEPENDS:=$(if $(DUMP)$(CONFIG_FS_MBCACHE),+kmod-fs-mbcache) 
     79  DEPENDS:=$(if $(DUMP)$(CONFIG_FS_MBCACHE),+kmod-fs-mbcache) @LINUX_2_6_30||LINUX_2_6_31 
    8080  FILES:=$(LINUX_DIR)/fs/ext2/ext2.ko 
    8181  AUTOLOAD:=$(call AutoLoad,32,ext2,1) 
     
    9595        CONFIG_EXT3_FS \ 
    9696        CONFIG_JBD 
    97   DEPENDS:=$(if $(DUMP)$(CONFIG_FS_MBCACHE),+kmod-fs-mbcache) 
     97  DEPENDS:=$(if $(DUMP)$(CONFIG_FS_MBCACHE),+kmod-fs-mbcache) @LINUX_2_6_30||LINUX_2_6_31 
    9898  FILES:= \ 
    9999        $(LINUX_DIR)/fs/ext3/ext3.ko \ 
Note: See TracChangeset for help on using the changeset viewer.